Index: /trunk/packages/vizservers/nanovis/Axis.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Axis.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Axis.h	(revision 3613)
@@ -5,6 +5,6 @@
  * Authors: George A. Howlett <gah@purdue.edu>
  */
-#ifndef AXIS_H
-#define AXIS_H
+#ifndef NV_AXIS_H
+#define NV_AXIS_H
 
 #include <stdlib.h>
Index: /trunk/packages/vizservers/nanovis/AxisRange.h
===================================================================
--- /trunk/packages/vizservers/nanovis/AxisRange.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/AxisRange.h	(revision 3613)
@@ -5,6 +5,6 @@
  * Authors: George A. Howlett <gah@purdue.edu>
  */
-#ifndef AXIS_RANGE_H
-#define AXIS_RANGE_H
+#ifndef NV_AXIS_RANGE_H
+#define NV_AXIS_RANGE_H
 
 #include <string.h>
Index: /trunk/packages/vizservers/nanovis/BucketSort.h
===================================================================
--- /trunk/packages/vizservers/nanovis/BucketSort.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/BucketSort.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef BUCKETSORT_H
-#define BUCKETSORT_H
+#ifndef PCA_BUCKETSORT_H
+#define PCA_BUCKETSORT_H
 
 #include <vector>
Index: /trunk/packages/vizservers/nanovis/Chain.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Chain.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Chain.h	(revision 3613)
@@ -22,6 +22,6 @@
  * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
-#ifndef CHAIN_H
-#define CHAIN_H
+#ifndef NV_CHAIN_H
+#define NV_CHAIN_H
 
 namespace nv {
Index: /trunk/packages/vizservers/nanovis/CircularQueue.h
===================================================================
--- /trunk/packages/vizservers/nanovis/CircularQueue.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/CircularQueue.h	(revision 3613)
@@ -14,6 +14,6 @@
 * @author Kjell Hedström, hedstrom@kjellkod.cc */
 
-#ifndef CIRCULARFIFO_H_
-#define CIRCULARFIFO_H_
+#ifndef CIRCULARFIFO_H
+#define CIRCULARFIFO_H
 
 /** Circular Fifo (a.k.a. Circular Buffer) 
@@ -181,3 +181,3 @@
 }
 
-#endif /* CIRCULARFIFO_H_ */
+#endif
Index: /trunk/packages/vizservers/nanovis/CmdProc.h
===================================================================
--- /trunk/packages/vizservers/nanovis/CmdProc.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/CmdProc.h	(revision 3613)
@@ -4,45 +4,29 @@
  *
  */
-/*
- *-------------------------------------------------------------------------------
- *
- * CmdSpec.h --
- *
- * 	Generic function prototype of CmdOptions.
- *
- *-------------------------------------------------------------------------------
- */
-
-#ifndef CMDSPEC_H
-#define CMDSPEC_H
+#ifndef RAPPTURE_CMDPROC_H
+#define RAPPTURE_CMDPROC_H
 
 namespace Rappture {
 
-/*
- *-------------------------------------------------------------------------------
- *
- * CmdSpec --
- *
- * 	Structure to specify a set of operations for a Tcl command.
- *      This is passed to the Blt_GetOp procedure to look
- *      for a function pointer associated with the operation name.
- *
- *-------------------------------------------------------------------------------
+/**
+ * Structure to specify a set of operations for a Tcl command.
+ * This is passed to the Blt_GetOp procedure to look
+ * for a function pointer associated with the operation name.
  */
 typedef struct {
-    const char *name;		/* Name of operation */
-    int minChars;		/* Minimum # characters to disambiguate */
+    const char *name;		/**< Name of operation */
+    int minChars;		/**< Minimum # characters to disambiguate */
     Tcl_ObjCmdProc *proc;
-    int minArgs;		/* Minimum # args required */
-    int maxArgs;		/* Maximum # args required */
-    const char *usage;		/* Usage message */
+    int minArgs;		/**< Minimum # args required */
+    int maxArgs;		/**< Maximum # args required */
+    const char *usage;		/**< Usage message */
 } CmdSpec;
 
 typedef enum {
-    CMDSPEC_ARG0,		/* Op is the first argument. */
-    CMDSPEC_ARG1,		/* Op is the second argument. */
-    CMDSPEC_ARG2,		/* Op is the third argument. */
-    CMDSPEC_ARG3,		/* Op is the fourth argument. */
-    CMDSPEC_ARG4		/* Op is the fifth argument. */
+    CMDSPEC_ARG0,		/**< Op is the first argument. */
+    CMDSPEC_ARG1,		/**< Op is the second argument. */
+    CMDSPEC_ARG2,		/**< Op is the third argument. */
+    CMDSPEC_ARG3,		/**< Op is the fourth argument. */
+    CMDSPEC_ARG4		/**< Op is the fifth argument. */
 } CmdSpecIndex;
 
@@ -58,3 +42,3 @@
 }
 
-#endif /* CMDSPEC_H */
+#endif
Index: /trunk/packages/vizservers/nanovis/Command.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Command.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Command.h	(revision 3613)
@@ -9,6 +9,6 @@
  *   Leif Delgass <ldelgass@purdue.edu>
  */
-#ifndef COMMAND_H
-#define COMMAND_H
+#ifndef NV_COMMAND_H
+#define NV_COMMAND_H
 
 #include <tcl.h>
Index: /trunk/packages/vizservers/nanovis/ContourLineFilter.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ContourLineFilter.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ContourLineFilter.h	(revision 3613)
@@ -1,5 +1,5 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
-#ifndef CONTOURLINEFILTER_H
-#define CONTOURLINEFILTER_H
+#ifndef NV_CONTOURLINEFILTER_H
+#define NV_CONTOURLINEFILTER_H
 
 #include <list>
Index: /trunk/packages/vizservers/nanovis/ConvexPolygon.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ConvexPolygon.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ConvexPolygon.h	(revision 3613)
@@ -1,19 +1,11 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * ConvexPolygon.h: convex polygon class
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Authors:
+ *   Wei Qiao <qiaow@purdue.edu>
  */
-#ifndef _CONVEX_POLYGON_H_
-#define _CONVEX_POLYGON_H_
+#ifndef NV_CONVEX_POLYGON_H
+#define NV_CONVEX_POLYGON_H
 
 #include <assert.h>
Index: /trunk/packages/vizservers/nanovis/Flow.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Flow.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Flow.h	(revision 3613)
@@ -9,7 +9,6 @@
  *   Leif Delgass <ldelgass@purdue.edu>
  */
-
-#ifndef FLOW_H
-#define FLOW_H
+#ifndef NV_FLOW_H
+#define NV_FLOW_H
 
 #include <tr1/unordered_map>
Index: /trunk/packages/vizservers/nanovis/FlowBox.h
===================================================================
--- /trunk/packages/vizservers/nanovis/FlowBox.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/FlowBox.h	(revision 3613)
@@ -9,6 +9,6 @@
  *   Leif Delgass <ldelgass@purdue.edu>
  */
-#ifndef FLOWBOX_H
-#define FLOWBOX_H
+#ifndef NV_FLOWBOX_H
+#define NV_FLOWBOX_H
 
 #include <string>
Index: /trunk/packages/vizservers/nanovis/FlowCmd.h
===================================================================
--- /trunk/packages/vizservers/nanovis/FlowCmd.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/FlowCmd.h	(revision 3613)
@@ -1,27 +1,13 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * FlowCmd.h
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- *      This modules creates the Tcl interface to the nanovis server.  The
- *      communication protocol of the server is the Tcl language.  Commands
- *      given to the server by clients are executed in a safe interpreter and
- *      the resulting image rendered offscreen is returned as BMP-formatted
- *      image data.
- *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *	     Insoo Woo <iwoo@purdue.edu>
- *           Michael McLennan <mmclennan@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Authors:
+ *   Wei Qiao <qiaow@purdue.edu>
+ *   Insoo Woo <iwoo@purdue.edu>
+ *   Michael McLennan <mmclennan@purdue.edu>
  */
-#ifndef FLOWCMD_H
-#define FLOWCMD_H
+#ifndef NV_FLOWCMD_H
+#define NV_FLOWCMD_H
 
 #include <tcl.h>
Index: /trunk/packages/vizservers/nanovis/FlowParticles.h
===================================================================
--- /trunk/packages/vizservers/nanovis/FlowParticles.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/FlowParticles.h	(revision 3613)
@@ -9,6 +9,6 @@
  *   Leif Delgass <ldelgass@purdue.edu>
  */
-#ifndef _FLOWPARTICLES_H
-#define _FLOWPARTICLES_H
+#ifndef NV_FLOWPARTICLES_H
+#define NV_FLOWPARTICLES_H
 
 #include <cassert>
Index: /trunk/packages/vizservers/nanovis/FlowTypes.h
===================================================================
--- /trunk/packages/vizservers/nanovis/FlowTypes.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/FlowTypes.h	(revision 3613)
@@ -9,6 +9,6 @@
  *   Leif Delgass <ldelgass@purdue.edu>
  */
-#ifndef FLOWTYPES_H
-#define FLOWTYPES_H
+#ifndef NV_FLOWTYPES_H
+#define NV_FLOWTYPES_H
 
 namespace nv {
Index: /trunk/packages/vizservers/nanovis/GradientFilter.cpp
===================================================================
--- /trunk/packages/vizservers/nanovis/GradientFilter.cpp	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/GradientFilter.cpp	(revision 3613)
@@ -14,4 +14,6 @@
 #include "GradientFilter.h"
 
+using namespace nv;
+
 #ifndef SQR
 #define SQR(a) ((a) * (a))
@@ -95,18 +97,6 @@
 #endif
 
-int 
-getNextPowerOfTwo(int n)
-{
-    int i;
-
-    i = 1;
-    while (i < n) {
-        i *= 2;
-    }
-
-    return i;
-}
-
-static unsigned char getVoxel8(int x, int y, int z)
+static unsigned char
+getVoxel8(int x, int y, int z)
 {
     return ((unsigned char*)g_volData)[z * g_numOfSlices[0] * g_numOfSlices[1] +
@@ -115,5 +105,6 @@
 }
 
-static unsigned short getVoxel16(int x, int y, int z)
+static unsigned short
+getVoxel16(int x, int y, int z)
 {
     return ((unsigned short*)g_volData)[z * g_numOfSlices[0] * g_numOfSlices[1] +
@@ -122,5 +113,6 @@
 }
 
-static float getVoxelFloat(int x, int y, int z)
+static float
+getVoxelFloat(int x, int y, int z)
 {
     return ((float*)g_volData)[z * g_numOfSlices[0] * g_numOfSlices[1] +
@@ -129,28 +121,29 @@
 }
 
-static float getVoxel(int x, int y, int z, DataType dataType)
+static float
+getVoxel(int x, int y, int z, nv::DataType dataType)
 {
     switch (dataType) {
-        case DATRAW_UCHAR:
-            return (float)getVoxel8(x, y, z);
-            break;
-        case DATRAW_USHORT:
-            return (float)getVoxel16(x, y, z);
-            break;
-        case DATRAW_FLOAT :
-            return (float)getVoxelFloat(x, y, z);
-            break;
-        default:
-            ERROR("Unsupported data type");
-            exit(1);
-            break;
+    case nv::DATRAW_UCHAR:
+        return (float)getVoxel8(x, y, z);
+        break;
+    case nv::DATRAW_USHORT:
+        return (float)getVoxel16(x, y, z);
+        break;
+    case nv::DATRAW_FLOAT:
+        return (float)getVoxelFloat(x, y, z);
+        break;
+    default:
+        ERROR("Unsupported data type");
+        exit(1);
     }
     return 0.0;
 }
 
-void computeGradients(float *gradients, void *volData, int *sizes, 
-                      float *spacing, DataType dataType)
-{
-    ::g_volData = volData;
+void
+nv::computeGradients(float *gradients, void *volData, int *sizes, 
+                     float *spacing, DataType dataType)
+{
+    g_volData = volData;
     g_numOfSlices[0] = sizes[0];
     g_numOfSlices[1] = sizes[1];
@@ -309,5 +302,6 @@
 }
 
-void filterGradients(float *gradients, int *sizes)
+void
+nv::filterGradients(float *gradients, int *sizes)
 {
     int i, j, k, idz, idy, idx, gi, ogi, filterWidth, n, borderDist[3];
@@ -444,5 +438,6 @@
 }
 
-void quantize8(float *grad, unsigned char *data)
+static void
+quantize8(float *grad, unsigned char *data)
 {
     float len;
@@ -464,5 +459,6 @@
 }
 
-void quantize16(float *grad, unsigned short *data)
+static void
+quantize16(float *grad, unsigned short *data)
 {
     float len;
@@ -484,5 +480,6 @@
 }
 
-void quantizeFloat(float *grad, float *data)
+static void
+quantizeFloat(float *grad, float *data)
 {
     float len;
@@ -504,6 +501,7 @@
 }
 
-void quantizeGradients(float *gradientsIn, void *gradientsOut,
-                       int *sizes, DataType dataType)
+void
+nv::quantizeGradients(float *gradientsIn, void *gradientsOut,
+                      int *sizes, DataType dataType)
 {
     int idx, idy, idz, di;
Index: /trunk/packages/vizservers/nanovis/GradientFilter.h
===================================================================
--- /trunk/packages/vizservers/nanovis/GradientFilter.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/GradientFilter.h	(revision 3613)
@@ -4,6 +4,8 @@
  *
  */
-#ifndef GRADIENT_FILTER_H
-#define GRADIENT_FILTER_H
+#ifndef NV_GRADIENT_FILTER_H
+#define NV_GRADIENT_FILTER_H
+
+namespace nv {
 
 typedef enum {
@@ -21,3 +23,5 @@
                               int *sizes, DataType dataType);
 
+}
+
 #endif 
Index: /trunk/packages/vizservers/nanovis/Grid.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Grid.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Grid.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef GRID_H
-#define GRID_H
+#ifndef NV_GRID_H
+#define NV_GRID_H
 
 #include <util/Fonts.h>
Index: /trunk/packages/vizservers/nanovis/OrientationIndicator.h
===================================================================
--- /trunk/packages/vizservers/nanovis/OrientationIndicator.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/OrientationIndicator.h	(revision 3613)
@@ -5,8 +5,9 @@
  * Author: Leif Delgass <ldelgass@purdue.edu>
  */
-#ifndef ORIENTATION_INDICATOR_H
-#define ORIENTATION_INDICATOR_H
+#ifndef NV_ORIENTATION_INDICATOR_H
+#define NV_ORIENTATION_INDICATOR_H
 
 namespace nv {
+
 class OrientationIndicator
 {
@@ -40,4 +41,5 @@
     void *_quadric;
 };
+
 }
 
Index: /trunk/packages/vizservers/nanovis/PCASplit.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PCASplit.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PCASplit.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef PCA_SPLIT_H
-#define PCA_SPLIT_H
+#ifndef PCA_PCASPLIT_H
+#define PCA_PCASPLIT_H
 
 #include <memory.h>
Index: /trunk/packages/vizservers/nanovis/ParticleAdvectionShader.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ParticleAdvectionShader.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ParticleAdvectionShader.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef NV_PARTICLE_ADV_SHADER_H
-#define NV_PARTICLE_ADV_SHADER_H
+#ifndef NV_PARTICLE_ADVECTION_SHADER_H
+#define NV_PARTICLE_ADVECTION_SHADER_H
 
 #include <vrmath/Vector3f.h>
Index: /trunk/packages/vizservers/nanovis/ParticleEmitter.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ParticleEmitter.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ParticleEmitter.h	(revision 3613)
@@ -4,10 +4,12 @@
  *
  */
-#ifndef PARTICLEEMITTER_H
-#define PARTICLEEMITTER_H
+#ifndef NV_PARTICLEEMITTER_H
+#define NV_PARTICLEEMITTER_H
 
 #include <string>
 
 #include <vrmath/Vector3f.h>
+
+namespace nv {
 
 class ParticleEmitter
@@ -84,3 +86,5 @@
 }
 
+}
+
 #endif
Index: /trunk/packages/vizservers/nanovis/ParticleSystem.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ParticleSystem.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ParticleSystem.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef PARTICLESYSTEM_H
-#define PARTICLESYSTEM_H
+#ifndef NV_PARTICLESYSTEM_H
+#define NV_PARTICLESYSTEM_H
 
 #include <vector>
@@ -23,4 +23,6 @@
 
 #include "CircularQueue.h"
+
+namespace nv {
 
 struct NewParticle {
@@ -409,3 +411,5 @@
 }
 
+}
+
 #endif
Index: /trunk/packages/vizservers/nanovis/ParticleSystemFactory.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ParticleSystemFactory.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ParticleSystemFactory.h	(revision 3613)
@@ -4,10 +4,12 @@
  *
  */
-#ifndef PARTICLESYSTEMFACTORY_H
-#define PARTICLESYSTEMFACTORY_H
+#ifndef NV_PARTICLESYSTEMFACTORY_H
+#define NV_PARTICLESYSTEMFACTORY_H
 
 #include <string>
 
 #include <expat.h>
+
+namespace nv {
 
 class ParticleSystem;
@@ -32,3 +34,5 @@
 };
 
+}
+
 #endif
Index: /trunk/packages/vizservers/nanovis/PerfQuery.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PerfQuery.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PerfQuery.h	(revision 3613)
@@ -16,6 +16,6 @@
  * ======================================================================
  */
-#ifndef PERFQUERY_H
-#define PERFQUERY_H
+#ifndef NV_PERFQUERY_H
+#define NV_PERFQUERY_H
 
 #include <stdio.h>
Index: /trunk/packages/vizservers/nanovis/Plane.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Plane.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Plane.h	(revision 3613)
@@ -14,6 +14,6 @@
  * ======================================================================
  */
-#ifndef PLANE_H
-#define PLANE_H
+#ifndef NV_PLANE_H
+#define NV_PLANE_H
 
 #include <vrmath/Vector3f.h>
Index: /trunk/packages/vizservers/nanovis/PlaneRenderer.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PlaneRenderer.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PlaneRenderer.h	(revision 3613)
@@ -6,6 +6,6 @@
  *    Wei Qiao <qiaow@purdue.edu>
  */
-#ifndef PLANE_RENDERER_H
-#define PLANE_RENDERER_H
+#ifndef NV_PLANE_RENDERER_H
+#define NV_PLANE_RENDERER_H
 
 #include <vector>
Index: /trunk/packages/vizservers/nanovis/PointSet.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PointSet.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PointSet.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef POINT_SET_H
-#define POINT_SET_H
+#ifndef NV_POINT_SET_H
+#define NV_POINT_SET_H
 
 #include <vrmath/Vector3f.h>
Index: /trunk/packages/vizservers/nanovis/PointSetRenderer.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PointSetRenderer.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PointSetRenderer.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef POINT_SET_RENDERER_H
-#define POINT_SET_RENDERER_H
+#ifndef NV_POINT_SET_RENDERER_H
+#define NV_POINT_SET_RENDERER_H
 
 #include <vrmath/Vector3f.h>
Index: /trunk/packages/vizservers/nanovis/PointShader.h
===================================================================
--- /trunk/packages/vizservers/nanovis/PointShader.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/PointShader.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef POINTSHADER_H
-#define POINTSHADER_H
+#ifndef NV_POINTSHADER_H
+#define NV_POINTSHADER_H
 
 #include "Shader.h"
Index: /trunk/packages/vizservers/nanovis/ReaderCommon.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ReaderCommon.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ReaderCommon.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef DX_READER_COMMON_H
-#define DX_READER_COMMON_H
+#ifndef NV_READER_COMMON_H
+#define NV_READER_COMMON_H
 
 namespace nv {
Index: /trunk/packages/vizservers/nanovis/RegularVolumeShader.h
===================================================================
--- /trunk/packages/vizservers/nanovis/RegularVolumeShader.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/RegularVolumeShader.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef NV_REGULAR_SHADER_H
-#define NV_REGULAR_SHADER_H
+#ifndef NV_REGULAR_VOLUME_SHADER_H
+#define NV_REGULAR_VOLUME_SHADER_H
 
 #include "Volume.h"
Index: /trunk/packages/vizservers/nanovis/RenderVertexArray.h
===================================================================
--- /trunk/packages/vizservers/nanovis/RenderVertexArray.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/RenderVertexArray.h	(revision 3613)
@@ -1,19 +1,11 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * Render to vertex array class
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Author:
+ *   Wei Qiao <qiaow@purdue.edu>
  */
-#ifndef RENDERVERTEXARRAY_H
-#define RENDERVERTEXARRAY_H
+#ifndef NV_RENDERVERTEXARRAY_H
+#define NV_RENDERVERTEXARRAY_H
 
 #include <GL/glew.h>
Index: /trunk/packages/vizservers/nanovis/ResponseQueue.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ResponseQueue.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ResponseQueue.h	(revision 3613)
@@ -5,4 +5,6 @@
  * Author: George A. Howlett <gah@purdue.edu>
  */
+#ifndef NV_RESPONSE_QUEUE_H
+#define NV_RESPONSE_QUEUE_H
 
 #include <pthread.h>
@@ -11,7 +13,4 @@
 #include <cstring>
 #include <list>
-
-#ifndef NV_RESPONSE_QUEUE_H
-#define NV_RESPONSE_QUEUE_H
 
 namespace nv {
Index: /trunk/packages/vizservers/nanovis/Switch.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Switch.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Switch.h	(revision 3613)
@@ -28,6 +28,6 @@
  */
 
-#ifndef SWITCH_H
-#define SWITCH_H
+#ifndef RAPPTURE_SWITCH_H
+#define RAPPTURE_SWITCH_H
 
 #ifdef HAVE_STDDEF_H
@@ -133,3 +133,3 @@
 }
 
-#endif /* BLT_SWITCH_H */
+#endif
Index: /trunk/packages/vizservers/nanovis/Texture1D.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Texture1D.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Texture1D.h	(revision 3613)
@@ -14,6 +14,6 @@
  * ======================================================================
  */
-#ifndef TEXTURE1D_H
-#define TEXTURE1D_H
+#ifndef NV_TEXTURE1D_H
+#define NV_TEXTURE1D_H
 
 #include <GL/glew.h>
Index: /trunk/packages/vizservers/nanovis/Texture2D.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Texture2D.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Texture2D.h	(revision 3613)
@@ -14,6 +14,6 @@
  * ======================================================================
  */
-#ifndef TEXTURE2D_H
-#define TEXTURE2D_H
+#ifndef NV_TEXTURE2D_H
+#define NV_TEXTURE2D_H
 
 #include <GL/glew.h>
Index: /trunk/packages/vizservers/nanovis/Texture3D.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Texture3D.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Texture3D.h	(revision 3613)
@@ -14,6 +14,6 @@
  * ======================================================================
  */
-#ifndef TEXTURE3D_H
-#define TEXTURE3D_H
+#ifndef NV_TEXTURE3D_H
+#define NV_TEXTURE3D_H
 
 #include <GL/glew.h>
Index: /trunk/packages/vizservers/nanovis/Trace.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Trace.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Trace.h	(revision 3613)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __TRACE_H__
-#define __TRACE_H__
+#ifndef NV_TRACE_H
+#define NV_TRACE_H
 
 #include <GL/glew.h>
Index: /trunk/packages/vizservers/nanovis/TransferFunction.h
===================================================================
--- /trunk/packages/vizservers/nanovis/TransferFunction.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/TransferFunction.h	(revision 3613)
@@ -14,6 +14,6 @@
  * ======================================================================
  */
-#ifndef TRANSFER_FUNCTION_H
-#define TRANSFER_FUNCTION_H
+#ifndef NV_TRANSFER_FUNCTION_H
+#define NV_TRANSFER_FUNCTION_H
 
 #include <string>
Index: /trunk/packages/vizservers/nanovis/Unirect.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Unirect.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Unirect.h	(revision 3613)
@@ -5,6 +5,6 @@
  * Author: George A. Howlett <gah@purdue.edu>
  */
-#ifndef UNIRECT_H
-#define UNIRECT_H
+#ifndef RAPPTURE_UNIRECT_H
+#define RAPPTURE_UNIRECT_H
 
 #include <float.h>
Index: /trunk/packages/vizservers/nanovis/VelocityArrowsSlice.h
===================================================================
--- /trunk/packages/vizservers/nanovis/VelocityArrowsSlice.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/VelocityArrowsSlice.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef VELOCITY_ARROW_SLICE_H
-#define VELOCITY_ARROW_SLICE_H
+#ifndef NV_VELOCITY_ARROW_SLICE_H
+#define NV_VELOCITY_ARROW_SLICE_H
 
 #include <vector>
Index: /trunk/packages/vizservers/nanovis/Volume.h
===================================================================
--- /trunk/packages/vizservers/nanovis/Volume.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/Volume.h	(revision 3613)
@@ -1,19 +1,11 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * Volume.h: 3d volume class
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Author:
+ *   Wei Qiao <qiaow@purdue.edu>
  */
-#ifndef VOLUME_H
-#define VOLUME_H
+#ifndef NV_VOLUME_H
+#define NV_VOLUME_H
 
 #include <cstring>
Index: /trunk/packages/vizservers/nanovis/VolumeInterpolator.h
===================================================================
--- /trunk/packages/vizservers/nanovis/VolumeInterpolator.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/VolumeInterpolator.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef VOLUME_INTERPOLATOR_H
-#define VOLUME_INTERPOLATOR_H
+#ifndef NV_VOLUME_INTERPOLATOR_H
+#define NV_VOLUME_INTERPOLATOR_H
 
 #include <vector>
Index: /trunk/packages/vizservers/nanovis/VolumeRenderer.h
===================================================================
--- /trunk/packages/vizservers/nanovis/VolumeRenderer.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/VolumeRenderer.h	(revision 3613)
@@ -1,19 +1,11 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * VolumeRenderer.h : VolumeRenderer class for volume visualization
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Authors:
+ *   Wei Qiao <qiaow@purdue.edu>
  */
-#ifndef _VOLUME_RENDERER_H_
-#define _VOLUME_RENDERER_H_
+#ifndef NV_VOLUME_RENDERER_H
+#define NV_VOLUME_RENDERER_H
 
 #include <vrmath/Matrix4x4d.h>
Index: /trunk/packages/vizservers/nanovis/VtkReader.h
===================================================================
--- /trunk/packages/vizservers/nanovis/VtkReader.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/VtkReader.h	(revision 3613)
@@ -4,6 +4,6 @@
  *
  */
-#ifndef VTKREADER_H
-#define VTKREADER_H
+#ifndef NV_VTKREADER_H
+#define NV_VTKREADER_H
 
 #include <iostream>
Index: /trunk/packages/vizservers/nanovis/ZincBlendeVolume.h
===================================================================
--- /trunk/packages/vizservers/nanovis/ZincBlendeVolume.h	(revision 3612)
+++ /trunk/packages/vizservers/nanovis/ZincBlendeVolume.h	(revision 3613)
@@ -1,17 +1,8 @@
 /* -*- mode: c++; c-basic-offset: 4; indent-tabs-mode: nil -*- */
 /*
- * ----------------------------------------------------------------------
- * ZincBlendeVolume.h: 3d zincblende volume class, a subclass of Volume. 
- * 			It contains two cubic volumes.
+ * Copyright (c) 2004-2013  HUBzero Foundation, LLC
  *
- * ======================================================================
- *  AUTHOR:  Wei Qiao <qiaow@purdue.edu>
- *           Purdue Rendering and Perceptualization Lab (PURPL)
- *
- *  Copyright (c) 2004-2013  HUBzero Foundation, LLC
- *
- *  See the file "license.terms" for information on usage and
- *  redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
- * ======================================================================
+ * Authors:
+ *   Wei Qiao <qiaow@purdue.edu>
  */
 #ifndef NV_ZINCBLENDE_VOLUME_H
@@ -24,4 +15,7 @@
 namespace nv {
 
+/**
+ * \brief 3D ZincBlende volume, contains two cubic volumes
+ */
 class ZincBlendeVolume : public Volume
 {