Index: /trunk/Makefile.in
===================================================================
--- /trunk/Makefile.in	(revision 3735)
+++ /trunk/Makefile.in	(revision 3736)
@@ -45,7 +45,8 @@
 
 all: $(TARGETS)
-	for i in $(TARGETS) ; do \
-	  $(MAKE) -C $$i all || exit 1 ;\
-	done
+
+$(TARGETS):
+	$(MAKE) -C $@ all
+
 test:
 	$(MAKE) -C test all
Index: /trunk/examples/Makefile.in
===================================================================
--- /trunk/examples/Makefile.in	(revision 3735)
+++ /trunk/examples/Makefile.in	(revision 3736)
@@ -31,8 +31,8 @@
 .PHONY: all install clean distclean $(SUBDIRS)
 
-all:
-	for i in $(SUBDIRS) ; do \
-	    $(MAKE) -C $$i all || exit 1 ; \
-	done
+all: $(SUBDIRS)
+
+$(SUBDIRS):
+	$(MAKE) -C $@ all
 
 install:
Index: /trunk/examples/zoo/mesh/mesh.m
===================================================================
--- /trunk/examples/zoo/mesh/mesh.m	(revision 3735)
+++ /trunk/examples/zoo/mesh/mesh.m	(revision 3736)
@@ -13,48 +13,4 @@
 
 switch meshtype 
-  case 'unirect2d' 
-    mesh = 'output.unirect2d';
-    rpLibPutString(lib, 'output.unirect2d.about.label', \
-		   'unirect2d mesh (deprecated)', 0);
-    rpLibPutString(lib, 'output.unirect2d.dim', '2', 0);
-    rpLibPutString(lib, 'output.unirect2d.units', 'm', 0);
-    rpLibPutString(lib, 'output.unirect2d.hide', 'yes', 0);
-
-    % Create a unirect2d mesh.  The mesh will be used in the 'field'
-    % object below. We will specify a mesh and then provide the data
-    % points to the field.
-
-    rpLibPutString(lib, 'output.unirect2d.xaxis.label', 'Fermi-Dirac Factor',0);
-    rpLibPutString(lib, 'output.unirect2d.yaxis.label', 'Energy', 0);
-
-    % The uniform grid that we are specifying is a mesh of 50 points on
-    % the x-axis and 50 points on the y-axis.  The 50 points are
-    % equidistant between 0.0 and 1.0
-
-    % Specify the x-axis of the mesh
-    rpLibPutString(lib, 'output.unirect2d.xaxis.min', '0.0', 0);
-    rpLibPutString(lib, 'output.unirect2d.xaxis.max', '1.0', 0);
-    rpLibPutString(lib, 'output.unirect2d.xaxis.numpoints', '50', 0);
-    
-    % Specify the y-axis of the mesh
-    rpLibPutString(lib, 'output.unirect2d.yaxis.min', '0.0', 0);
-    rpLibPutString(lib, 'output.unirect2d.yaxis.max', '1.0', 0);
-    rpLibPutString(lib, 'output.unirect2d.yaxis.numpoints', '50', 0);
-
-  case 'oldcloud' 
-    mesh = 'output.cloud';
-    rpLibPutString(lib, 'output.cloud.about.label', 'cloud (deprecated)', 0);
-    rpLibPutString(lib, 'output.cloud.dim', '2', 0);
-    rpLibPutString(lib, 'output.cloud.units', 'm', 0);
-    rpLibPutString(lib, 'output.cloud.hide', 'yes', 0);
-
-    xv = linspace(0, 1, 50)
-    for i = 1:50
-      for j = 1:50
-        string = sprintf('%12g  %12g\n', xv(i), xv(j));
-	rpLibPutString(lib, 'output.cloud.points', string, 1);
-      endfor
-    endfor
-
   case 'cloud' 
     mesh = 'output.mesh';
Index: /trunk/examples/zoo/mesh/mesh.tcl
===================================================================
--- /trunk/examples/zoo/mesh/mesh.tcl	(revision 3735)
+++ /trunk/examples/zoo/mesh/mesh.tcl	(revision 3736)
@@ -22,51 +22,4 @@
 
 switch -- $meshtype {
-    "unirect2d" {
-	set mesh "output.unirect2d"
-
-	$driver put $mesh.about.label "unirect2d mesh"
-	$driver put $mesh.dim  2
-	$driver put $mesh.units "m"
-	$driver put $mesh.hide "yes"
-
-	# Create a unirect2d mesh.  The mesh will be used in the "field"
-	# object below. We will specify a mesh and then provide the data
-	# points to the field.
-
-	$driver put $mesh.xaxis.label "Fermi-Dirac Factor"
-	$driver put $mesh.yaxis.label "Energy"
-
-	# The uniform grid that we are specifying is a mesh of 50 points on
-	# the x-axis # and 50 points on the y-axis.  The 50 points are
-	# equidistant between 0.0 and # 1.0
-
-	# Specify the x-axis of the mesh
-	$driver put $mesh.xaxis.min 0.0 
-	$driver put $mesh.xaxis.max 1.0
-	$driver put $mesh.xaxis.numpoints 50
-	
-	# Specify the y-axis of the mesh
-	$driver put $mesh.yaxis.min 0.0 
-	$driver put $mesh.yaxis.max 1.0
-	$driver put $mesh.yaxis.numpoints 50
-    }
-    "oldcloud" {
-	set mesh output.cloud
-	$driver put $mesh.about.label "cloud (deprecated)"
-	$driver put $mesh.dim  2
-	$driver put $mesh.units "m"
-	$driver put $mesh.hide "yes"
-
-	set points {}
-	foreach y [$xv range 0 end] {
-	    foreach x [$xv range 0 end] {
-		append points "$x $y\n"
-	    }
-	}
-    
-	# Test old-style cloud element.
-	$driver put $mesh.units "m"
-	$driver put $mesh.points $points
-    }
     "cloud" {
 	set mesh output.mesh
Index: /trunk/examples/zoo/mesh/tool.xml
===================================================================
--- /trunk/examples/zoo/mesh/tool.xml	(revision 3735)
+++ /trunk/examples/zoo/mesh/tool.xml	(revision 3736)
@@ -7,18 +7,4 @@
  <input>
    <choice id="mesh">
-    <option>
-     <about>
-      <label>unirect2d (deprecated)</label>
-      <description>Uniform 2D grid using old-style unirect2d element.</description>
-     </about>
-     <value>unirect2d</value>
-    </option>
-    <option>
-     <about>
-      <label>cloud (deprecated)</label>
-      <description>2 dimensional cloud of points using old-style cloud element.</description>
-     </about>
-     <value>oldcloud</value>
-    </option>
     <option>
      <about>
Index: /trunk/examples/zoo/mesh/tool2.xml
===================================================================
--- /trunk/examples/zoo/mesh/tool2.xml	(revision 3735)
+++ /trunk/examples/zoo/mesh/tool2.xml	(revision 3736)
@@ -7,17 +7,4 @@
  <input>
    <choice id="mesh">
-    <option>
-     <about>
-      <label>unirect2d (deprecated)</label>
-      <description>Uniform 2D grid using old-style unirect2d element.</description>
-     </about>
-     <value>unirect2d</value>
-    </option>
-    <option>
-     <about>
-      <label>cloud (deprecated)</label>
-      <description>2 dimensional cloud of points using old-style cloud element.</description>
-     </about>
-     <value>oldcloud</value>
     </option>
     <option>
Index: /trunk/lang/Makefile.in
===================================================================
--- /trunk/lang/Makefile.in	(revision 3735)
+++ /trunk/lang/Makefile.in	(revision 3736)
@@ -52,10 +52,11 @@
 endif
 
-.PHONY:	all install test clean distclean tcl octave matlab perl python ruby java R
+.PHONY:	all install test clean distclean $(LANGS)
 
-all:
-	for i in $(LANGS) ; do \
-	  $(MAKE) -C $$i all || exit 1 ;\
-	done
+
+all: $(LANGS)
+
+$(LANGS):
+	$(MAKE) -C $@ all 
 
 install:
Index: /trunk/lang/tcl/src/Rappture_Init.c
===================================================================
--- /trunk/lang/tcl/src/Rappture_Init.c	(revision 3735)
+++ /trunk/lang/tcl/src/Rappture_Init.c	(revision 3736)
@@ -44,5 +44,4 @@
 Rappture_Init( Tcl_Interp * interp)
 {
-    fprintf(stderr, "Rappture_init\n");
 #ifdef _WIN32
     rpWinInitJob();
@@ -52,12 +51,4 @@
     }
     if (Tcl_PkgProvide(interp, "Rappture", RAPPTURE_VERSION) != TCL_OK) {
-        return TCL_ERROR;
-    }
-    if (Tcl_SetVar(interp, "::Rappture::version", RAPPTURE_VERSION,
-                   TCL_GLOBAL_ONLY | TCL_LEAVE_ERR_MSG) == NULL) {
-        return TCL_ERROR;
-    }
-    if (Tcl_SetVar(interp, "::Rappture::build", SVN_VERSION,
-                   TCL_GLOBAL_ONLY | TCL_LEAVE_ERR_MSG) == NULL) {
         return TCL_ERROR;
     }